Bug 1733321 - file /usr/share/fish/completions/exercism.fish from install of exercism-3.0.12-1.fc30.x86_64 conflicts with file from package fish-3.0.2-1.module_f30+3042+523cc28d.x86_64
Summary: file /usr/share/fish/completions/exercism.fish from install of exercism-3.0.1...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exercism
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 17:15 UTC by Link Dupont
Modified: 2020-03-16 20:30 UTC (History)
5 users (show)

Fixed In Version: exercism-3.0.13-2.fc30 exercism-3.0.13-3.fc31 exercism-3.0.13-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-09 02:27:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Link Dupont 2019-07-25 17:15:06 UTC
Description of problem:

I tried running a dnf upgrade and the upgrade failed because of the following package conflict:

file /usr/share/fish/completions/exercism.fish from install of exercism-3.0.12-1.fc30.x86_64 conflicts with file from package fish-3.0.2-1.module_f30+3042+523cc28d.x86_64


Version-Release number of selected component (if applicable):

fish-3.0.2-1.module_f30+3042+523cc28d
exercism-3.0.12-1


Steps to Reproduce:
1. downgrade exercism and fish
2. run dnf upgrade to fish-3.0.2-1.module_f30+3032+523cc28d and exercism-3.0.12-1

Additional info:

I picked exercism as the component, but I'm not sure which component should own the completions file.

Comment 1 Stephen Gallagher 2020-02-28 20:13:02 UTC
Elliott, Igor: Could you two please sort out which package should be providing this file?

Comment 2 Igor Raits 2020-02-29 12:59:58 UTC
The policy actually would be for the package to include the upstream completions in vendor_completions.d, so there is no file conflict.

Not a fish issue.

Comment 3 Elliott Sales de Andrade 2020-03-01 10:10:13 UTC
Would be nice if Fedora had Guidelines to avoid this from the start.

Comment 4 Fedora Update System 2020-03-01 10:31:56 UTC
FEDORA-2020-a4e6a792b6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a4e6a792b6

Comment 5 Fedora Update System 2020-03-01 10:33:18 UTC
FEDORA-2020-e64abd7fcf has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e64abd7fcf

Comment 6 Fedora Update System 2020-03-01 10:34:34 UTC
FEDORA-2020-f07df4a24c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f07df4a24c

Comment 7 Fedora Update System 2020-03-01 21:42:45 UTC
exercism-3.0.13-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a4e6a792b6

Comment 8 Fedora Update System 2020-03-01 22:40:34 UTC
exercism-3.0.13-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f07df4a24c

Comment 9 Fedora Update System 2020-03-01 23:03:46 UTC
exercism-3.0.13-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e64abd7fcf

Comment 10 Fedora Update System 2020-03-09 02:27:58 UTC
exercism-3.0.13-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-03-09 03:14:25 UTC
exercism-3.0.13-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-03-16 20:18:10 UTC
exercism-3.0.13-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-03-16 20:30:39 UTC
exercism-3.0.13-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.